%{?scl:%scl_package perl-Readonly}

Name:		%{?scl_prefix}perl-Readonly
Version:	2.00
Release:	2%{?dist}
Summary:	Facility for creating read-only scalars, arrays, hashes
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Readonly/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SA/SANKO/Readonly-%{version}.tar.gz
Patch0:		Readonly-1.61-interpreter.patch
BuildArch:	noarch
# Module Build
BuildRequires:	%{?scl_prefix}perl
BuildRequires:	%{?scl_prefix}perl(CPAN::Meta)
BuildRequires:	%{?scl_prefix}perl(CPAN::Meta::Prereqs)
BuildRequires:	%{?scl_prefix}perl(File::Basename)
BuildRequires:	%{?scl_prefix}perl(File::Spec)
BuildRequires:	%{?scl_prefix}perl(Module::Build)
BuildRequires:	%{?scl_prefix}perl(utf8)
BuildRequires:	%{?scl_prefix}perl(warnings)
# Module Runtime
BuildRequires:	%{?scl_prefix}perl(Carp)
BuildRequires:	%{?scl_prefix}perl(Exporter)
BuildRequires:	%{?scl_prefix}perl(strict)
BuildRequires:	%{?scl_prefix}perl(vars)
# Test Suite
BuildRequires:	%{?scl_prefix}perl(Test::More)
# Runtime
Requires:	%{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))
Requires:	%{?scl_prefix}perl(Carp)

%description
Readonly provides a facility for creating non-modifiable scalars,
arrays, and hashes. Any attempt to modify a Readonly variable throws
an exception.

Readonly:
* Creates scalars, arrays (not lists), and hashes
* Creates variables that look and work like native perl variables
* Creates global or lexical variables
* Works at run-time or compile-time
* Works with deep or shallow data structures
* Prevents reassignment of Readonly variables

%prep
%setup -q -n Readonly-%{version}

# Fix script interpreter for test suite since we're packaging it
%patch0

%build
%{?scl:scl enable %{scl} '}perl Build.PL installdirs=vendor && ./Build%{?scl:'}

%install
%{?scl:scl enable %{scl} '}./Build install --destdir=%{buildroot} --create_packlist=0%{?scl:'}

%check
%{?scl:scl enable %{scl} '}./Build test%{?scl:'}

%files
%doc Changes LICENSE README.md eg/benchmark.pl t/
%{perl_vendorlib}/Readonly.pm
%{_mandir}/man3/Readonly.3pm*

%changelog
* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.00-2
- Perl 5.20 rebuild

* Thu Jul  3 2014 Paul Howarth <paul@city-fan.org> - 2.00-1
- Update to 2.00
  - Deprecation of Readonly::XS as a requirement for fast, readonly scalars is
    complete
- Upstream dropped TODO file

* Mon Jun 30 2014 Paul Howarth <paul@city-fan.org> - 1.610-1
- Update to 1.61
  - Fix array and hash tie() while in XS mode (exposed by Params::Validate
    tests)
  - Fix implicit undef value regression
    (https://github.com/sanko/readonly/issues/8)
  - Normal constants (strings, numbers) do not appear to be read-only to
    Internals::SvREADONLY($) but perl itself doesn't miss a beat when you
    attempt to assign a value to them; fixing test regression in
    t/general/reassign.t
  - Minor documentation fixes (spell check, etc.)
    (https://github.com/sanko/readonly/issues/7)
- Update shellbang patch

* Thu Jun 26 2014 Paul Howarth <paul@city-fan.org> - 1.500.0-1
- Update to v1.500.0
  - Re-release with new version number

* Wed Jun 25 2014 Paul Howarth <paul@city-fan.org> - 1.5.0-1
- Update to v1.5.0
  - Readonly::XS is no longer needed
  - Typo fix (CPAN RT#86350)
  - Array and Hash scalar references were not made deeply readonly
    (CPAN RT#37864)
  - Upstream magic related bugs were reported to p5p and fixed in perl itself
    so we can resolve the following local issues:
    - CPAN RT#24216 ('looks_like_number' doesn't handle Readonly properly)
    - CPAN RT#29487 (magical variable bug in perl 5.8.5)
    - CPAN RT#36653 (Readonly scalar as class name sometimes undefined)
    - CPAN RT#57382 (tie-related bug in perl's core)
    - CPAN RT#70167 (unaccessed read-only variables are undef in select calls)
  - Reported Perl RT#120122 (tie + smartmatch bug) upstream to p5p; will
    eventually resolve local (CPAN RT#59256)
  - Use readonly support exposed in Internals on perl ≥ 5.8.0
  - Checking Readonly::XS::Okay is no longer suggested... never should have
    been
- Update shellbang patch

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 26 2013 Paul Howarth <paul@city-fan.org> - 1.04-1
- Update to 1.04
  - Module now maintained by Sanko Robinson; please see TODO for a possible set
    of changes to this module that may affect code written for old, pre-perl
    5.14.0 platforms!
  - Don't install benchmark.pl (CPAN RT#16167)
- This release by SANKO -> update source URL
- Switch to Module::Build flow
- Update shellbang patch
- Modernize spec since EPEL < 7 will never have buildreq CPAN::Meta
- Drop obsoletes/provides for old -tests subpackage

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.03-23
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 16 2012 Petr Pisar <ppisar@redhat.com> - 1.03-21
- Specify all dependencies

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 1.03-19
- Perl 5.16 rebuild

* Thu Mar  1 2012 Paul Howarth <paul@city-fan.org> - 1.03-18
- Drop -tests subpackage (general lack of interest in this), but include
  them as documentation for the main package
- No need to remove empty directories from buildroot
- Add buildreqs for Perl core modules that might be dual-lived
- Fix script interpreter for test suite since we're packaging it
- Drop redundant %%{?perl_default_filter}
- Don't use macros for commands
- Make %%files list more explicit
- Use tabs

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.03-16
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.03-14
- Rebuild to fix problems with vendorarch/lib (#661697)

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.03-13
- Mass rebuild with perl-5.12.0

* Sun Feb 21 2010 Chris Weyl <cweyl@alumni.drew.edu> - 1.03-12
- Add perl_default_filter, etc
- Minor spec updates

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.03-11
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.03-8
- Rebuild for perl 5.10 (again)

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.03-7
- Rebuild for new perl

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.03-6.2
- Add BR: perl(Test::More)

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.03-6.1
- Correct license tag
- Add BR: perl(ExtUtils::MakeMaker)

* Wed Oct 04 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.03-6
- Add explict requires on perl(Readonly::XS); perl(Readonly::XS) is available
  for all architectures Fedora supports, so there's no good reason to not
  require it
- Spec file rework

* Tue Sep 19 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.03-5
- Bump for mass rebuild

* Thu Dec 08 2005 Michael A. Peters <mpeters@mac.com> - 1.03-4
- Remove requires on perl-Readonly-XS

* Thu Dec 08 2005 Michael A. Peters <mpeters@mac.com> - 1.03-3
- Fix license and BuildRequires, use %%{?_smp_mflags} with make

* Sat Nov 12 2005 Michael A. Peters <mpeters@mac.com> - 1.03-2
- Separate out perl-Readonly-XS into its own package
- Package benchmark.pl as a doc

* Mon Nov 7 2005 Michael A. Peters <mpeters@mac.com> - 1.03-1
- Initial spec file
